#
# spec file for package apcupsd (Version 3.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib ctags cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gd gd-devel gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libart_lgpl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio logrotate m4 mailx make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-snmp-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre perl perl-TermReadKey permissions popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel rrdtool sed sensors strace suse-release sysfsutils sysvinit tar tcpd tcpd-devel texinfo timezone udev unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           apcupsd
BuildRequires:  apache2-devel ctags gcc-c++ gd-devel mailx net-snmp-devel suse-release tcpd-devel
Group:          Hardware/UPS
License:        GPL
Summary:        APC UPS Daemon (Powerful Daemon for APC UPSs)
Version:        3.12.1
Release:        18.2
URL:            http://www.apcupsd.com/
Source:         apcupsd-%{version}.tar.bz2
Source1:        apcupsd.in
Source2:        README.SUSE
Source3:        apcupsd-early-powerdown.init
Patch:          apcupsd-suse.patch
Patch1:         apcupsd-gpp.patch
Patch2:         apcupsd-po.patch
Patch3:         apcupsd-powersave.patch
Patch4:         apcupsd-no-strip.patch
Patch5:         apcupsd-nologin.patch
PreReq:         %fillup_prereq %insserv_prereq /usr/bin/sed /usr/bin/grep
Requires:       /usr/bin/mail
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs -q PREFIX)

%description
Controls and monitors the status of an APC UPS under Linux. Allows your
computer or server to run for a specified length of time on UPS power
then executes a controlled shutdown in the case of an extended power
failure. Find APC on the Internet at http://www.apc.com.

APC also made their PowerChute plus available for download at
http://www.apc.com/tools/download/.



Authors:
--------
    Andre Hedrick <andre@suse.com>

%debug_package
%prep
%setup
rm include/tcpd.h
cp -a %{S:1} platforms/suse
cp -a %{S:2} %{S:3} .
mv apcupsd-early-powerdown.init apcupsd-early-powerdown
chmod +x apcupsd-early-powerdown
%patch -p1
%patch1
%patch2
%if %suse_version > 1000
%patch3
%endif
%patch4
%patch5

%build
cd autoconf
%{suse_update_config}
#aclocal
#autoconf
#cp configure ..
cd ..
%if "%suse_version" == "910"
CFLAGS="$RPM_OPT_FLAGS -DHID_MAX_USAGES=1024" \
%else
CFLAGS="$RPM_OPT_FLAGS" \
%endif
./configure --prefix=/usr \
	    --sbindir=/usr/sbin \
	    --mandir=%{_mandir} \
	    --enable-pthreads \
	    --with-libwrap \
	    --enable-cgi \
	    --enable-usb \
	    --enable-net \
	    --enable-snmp \
	    --enable-nis \
	    --enable-master-slave \
	    --enable-powerflute \
	    --enable-nls \
	    --with-cgi-bin=%{apache_serverroot}/cgi-bin
make
#make apctest

%install
make install DESTDIR=$RPM_BUILD_ROOT
( cd src/po ; make install DESTDIR=$RPM_BUILD_ROOT )
ln -sf ../../etc/init.d/apcupsd $RPM_BUILD_ROOT/usr/sbin/rcapcupsd
%if %suse_version <= 1000
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/apcupsd
install -m 744 platforms/suse/halt-setup.sh $RPM_BUILD_ROOT/usr/lib/apcupsd
%endif
#cp apctest $RPM_BUILD_ROOT/sbin
rm doc/Makefile.in doc/Makefile doc/apcupsd.man
%find_lang apcupsd

%post
%{fillup_and_insserv apcupsd}
%if %suse_version > 1000
# HALT_POWERDOWN_INSERT is supported since SuSE Linux 10.1, SLES 10.
# Install HALT_POWERDOWN_INSERT
if usr/bin/grep -q '^HALT_POWERDOWN_INSERT="\(/etc/apcupsd/apccontrol killpower\|\)"' etc/sysconfig/shutdown ; then
  usr/bin/sed -i 's:^\(HALT_POWERDOWN_INSERT="\).*"[[:space:]]*:\1/etc/apcupsd/apccontrol killpower":' etc/sysconfig/shutdown
else
  echo >&2 "apcupsd: WARNING: Unknown value of HALT_POWERDOWN_INSERT in /etc/sysconfig/shutdown."
  echo >&2 "         Keeping unchanged. Should be:"
  echo >&2 "HALT_POWERDOWN_INSERT=\"/etc/apcupsd/apccontrol killpower\""
fi
# NOTE: Up to SuSE Linux 10.0, SLES 9 installation modified /etc/init.d/halt.local.
# Now it is obsolete and should be removed.
if [ -f etc/init.d/halt.local ]
then
    if usr/bin/grep -q "XXX APCUPSD - DO NOT EDIT XXX" etc/init.d/halt.local ; then
# NOTE: SuSE Linux 8.2, SLES 8 and older have had a bug: Last "fi"
# command was not commented by $MAGICWORD and was not replaced during
# update. This script tries to detect such orphan "fi".
	usr/bin/sed -i ':1;/XXX APCUPSD - DO NOT EDIT XXX/,+1s/^fi$/& # XXX APCUPSD - DO NOT EDIT XXX/;t1;/XXX APCUPSD - DO NOT EDIT XXX/d' etc/init.d/halt.local
    fi
fi
%else
usr/lib/apcupsd/halt-setup.sh install
%endif

%preun
%if %suse_version <= 1000
[ $1 = 0 ] || exit 0
usr/lib/apcupsd/halt-setup.sh uninstall
%endif
%{stop_on_removal apcupsd}

%postun
%if %suse_version > 1000
# Remove HALT_POWERDOWN_INSERT
if test $1 -eq 0 -a ! -f /etc/init.d/upsd ; then
  if usr/bin/grep -q '^HALT_POWERDOWN_INSERT="/etc/apcupsd/apccontrol killpower"' etc/sysconfig/shutdown ; then
    usr/bin/sed -i 's:^\(HALT_POWERDOWN_INSERT="\)/etc/apcupsd/apccontrol killpower":\1":' etc/sysconfig/shutdown
  else
    echo >&2 "apcupsd: WARNING: Unknown value of HALT_POWERDOWN_INSERT in /etc/sysconfig/shutdown."
    echo >&2 "         Keeping unchanged. Should be:"
    echo >&2 "HALT_POWERDOWN_INSERT=\"\""
  fi
  if test -f etc/init.d/upsd-early-powerdown ; then
    echo >&2 "apcupsd: WARNING: You may want to remove your /etc/init.d/upsd-early-powerdown."
  fi
fi
%endif
%{restart_on_update apcupsd}
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f apcupsd.lang
%defattr(-,root,root)
%doc apcupsd-early-powerdown COPYING ChangeLog* DISCLAIMER Developers INSTALL README.SUSE ReleaseNotes kernstodo doc/ examples/
%attr(0755,root,root) /usr/sbin/apcupsd
/usr/sbin/apcaccess
/usr/sbin/apctest
/usr/sbin/powerflute
/usr/sbin/rcapcupsd
/usr/sbin/smtp
/etc/init.d/apcupsd
%dir /etc/apcupsd/
/etc/apcupsd/apccontrol
%config(noreplace)/etc/apcupsd/apcupsd.conf
/etc/apcupsd/changeme
/etc/apcupsd/commfailure
/etc/apcupsd/commok
%config(noreplace) /etc/apcupsd/hosts.conf
/etc/apcupsd/masterconnect
/etc/apcupsd/mastertimeout
%config(noreplace) /etc/apcupsd/multimon.conf
/etc/apcupsd/onbattery
/etc/apcupsd/offbattery
/etc/apcupsd/apcupsd.css
%{apache_serverroot}/cgi-bin/multimon.cgi
%{apache_serverroot}/cgi-bin/upsfstats.cgi
%{apache_serverroot}/cgi-bin/upsstats.cgi
%{apache_serverroot}/cgi-bin/upsimage.cgi
%doc %{_mandir}/man8/apcupsd.8*
%if %suse_version <= 1000
/usr/lib/apcupsd
%endif

%changelog -n apcupsd
* Mon Apr 03 2006 - sbrabec@suse.cz
- Do not remove /etc/nologin, if changes are disabled (#161709).
* Sat Mar 25 2006 - ro@suse.de
- remove second preun script
* Fri Mar 24 2006 - sbrabec@suse.cz
- Removed fast incorrect shutdown script (#132478).
- Added README.SUSE.
- Integrated with powersave.
- Do not strip binaries.
- Simplified neededforbuild.
- Removed obsolete halt-setup.sh and clean halt.local.
- Scriptlet fixes.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - ro@suse.de
- disable parallel build, seems to cause trouble
* Thu Jan 12 2006 - sbrabec@suse.cz
- Updated to version 3.12.1.
* Fri Sep 30 2005 - sbrabec@suse.cz
- Updated to version 3.10.18 (#116685).
* Tue Jul 12 2005 - sbrabec@suse.cz
- Updated to version 3.10.17a.
- Moved binaries (linked against libraries in /usr) to /usr/sbin.
* Wed May 04 2005 - sbrabec@suse.cz
- Removed START_APCUPSD from halt.local (#81281).
* Thu Jan 06 2005 - sbrabec@suse.cz
- Updated to version 3.10.16.
* Tue Nov 30 2004 - sbrabec@suse.cz
- Fixed OS misdetection (missing USB support, #48607).
  Patch from Andrea Arcangeli.
* Mon Aug 23 2004 - sbrabec@suse.cz
- Updated to version 3.10.15.
* Mon Apr 19 2004 - ro@suse.de
- Force-define HID_MAX_USAGES
- build using apache2
* Fri Mar 19 2004 - sbrabec@suse.cz
- Removed *.orig files from documentation.
* Thu Feb 05 2004 - sbrabec@suse.cz
- Updated to version 3.10.11.
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Tue Sep 16 2003 - kukuk@suse.de
- Remove setuid bit from apcupsd (else SuSEconfig will do it)
* Mon Sep 01 2003 - sbrabec@suse.cz
- Removed tcpd.h (use systemwide instead).
* Mon Sep 01 2003 - sbrabec@suse.cz
- Added "Should-Start: hotplug_usb" to init script.
- Fix and update hack of orphan fi in halt.local.
- Fixed pre and postinstall scripts.
- Really turned on and fixed SNMP support.
* Fri Aug 29 2003 - kukuk@suse.de
- Add "Should-Start: serial" to init script [Bug #28353]
* Fri Aug 15 2003 - sbrabec@suse.cz
- Updated to development version 3.10.6-05Aug03.
- Turned on all optional features.
* Mon Mar 10 2003 - sbrabec@suse.cz
- Buffer overflow fixes.
- Name clash and error handling fixes.
* Wed Feb 12 2003 - sbrabec@suse.cz
- Updated to version 3.8.6.
* Thu Aug 15 2002 - mcihar@suse.cz
- added $remote_fs to Required-Start (should fix #17294)
* Fri Aug 02 2002 - ro@suse.de
- adapted to /srv/www
- added prereqs
* Sat Jul 27 2002 - adrian@suse.de
- fix build
* Mon Jan 07 2002 - cihlar@suse.cz
- updated to version 3.8.5:
  * Battery Runtime Calibration in the apctest
  program
  * Resolved a crash caused by a lost TCP/IP
  connection
* Mon Dec 17 2001 - cihlar@suse.cz
- updated to version 3.8.4-2:
  * bug fix release
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START_APCUPSD
* Thu Nov 29 2001 - cihlar@suse.cz
- update to version 3.8.3:
  * updated manual
  * several bug fixes
  * added support for new hardware
- fixed permissions of halt-setup.sh
- fixed halt-setup.sh
- moved halt-setup.sh from %%postun to %%preun
* Tue Nov 27 2001 - cihlar@suse.cz
- fixed variable names in init script [#12451]
* Thu Jul 26 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Wed Jul 25 2001 - cihlar@suse.cz
- update to 3.8.2
- added part with autoconf
- compile with --with-libwrap and --enable-pthreads
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed init script by new skeleton
* Mon Jan 15 2001 - cihlar@suse.cz
- added apctest
* Wed Jan 10 2001 - cihlar@suse.cz
- update to 3.8.1
- change to new init script mechanism
- fixed initialization of halt.local
- added BuildRoot
- clean up spec file
- bzipped sources
- added fillup of rc.config
* Mon Jun 19 2000 - kasal@suse.de
- Updated to 3.7.2.  The package is still BETA, see "Todo" below.
* Sun Oct 10 1999 - bk@suse.de
- new package, requested e.g by Andre Hedrick <andre@suse.com>
  Todo:
- polish /sbin/init.d/apcupsd and add links to the rcX.d directories
- add the proper START_APCUPSD= fillup for /etc/rc.config
- add the changes for halt.sh in the suse subdir
